Imports System.Net.Mail
Imports System.Text
Public Class Send
    Dim TS As ToolStrip
    Dim FileBox As TextBox
    Dim TSB As ToolStripButton
    Dim StartTSB As ToolStripButton
    Dim Files As String
    Dim Num As Integer = 0
#Region "Отправка сообщения"
    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click
        Dim EMail As New MailMessage
        Dim Smtp As SmtpClient
        Dim Drop() As String = Split(Files, "[SP]")
        Smtp = New SmtpClient("smtp.yandex.ru")
        Smtp.Port = 587
        Smtp.Credentials = New Net.NetworkCredential("Кто@отправляет.ru", "Пароль") 'Данные Вашей почты
        EMail.From = New MailAddress("Кто@отправляет.ru", Subject.Text) ' Subject.Text здесь для красоты, по желанию можно убрать
        EMail.To.Add(New MailAddress("Кому@отправляем.ru"))
        EMail.Body = Message.Text 'Основной текст
        EMail.Subject = Subject.Text 'Тема письма
        If Num > 0 Then
            For N = 0 To Num - 1
                EMail.Attachments.Add(New System.Net.Mail.Attachment(Drop(N)))
            Next
        End If
        Try
            Smtp.Send(EMail)
            MsgBox("Ваше сообщение отправлено. Спасибо!", MsgBoxStyle.Information)
        Catch ex As Exception
            MsgBox("Ваше сообщение не было отправлено. Пожалуйста, повторите попытку", MsgBoxStyle.Critical)
        End Try
        Me.Close()
    End Sub
#End Region
#Region "Прикрепить скриншоты"
    Private Sub CreateStartGroup()
        StartTSB = New ToolStripButton
        With StartTSB
            .DisplayStyle = ToolStripItemDisplayStyle.Text
            .Text = "Прикрепить скриншоты..."
            .ToolTipText = "Выберите изображения для добавления"
            .Margin = New System.Windows.Forms.Padding(0, 0, 0, 5) ' отделим ее немного от других кнопок
            AddHandler StartTSB.Click, AddressOf StartTSB_Click ' прицепляем процедуру StartTSB_Click к обработчику события Click
        End With
        Me.TS.Items.Add(StartTSB)
    End Sub
    Private Sub CreateButton(ByVal path As String)
        TSB = New ToolStripButton
        With TSB
            .DisplayStyle = ToolStripItemDisplayStyle.ImageAndText ' покажем и картинку и текст
            .TextImageRelation = TextImageRelation.ImageBeforeText ' картинку перед текстом
            .Text = IO.Path.GetFileNameWithoutExtension(path) ' текстом будет имя файла без расширения
            .ToolTipText = path ' подсказкой полный путь к файлу
            .Image = Icon.ExtractAssociatedIcon(path).ToBitmap ' картинка - получаем из иконки файла
        End With
        Me.TS.Items.Add(TSB)
        Files &= path & "[SP]"
        Num = Num + 1
    End Sub
    Private Sub StartTSB_Click(ByVal sender As ToolStripButton, ByVal e As System.EventArgs)
        If OpenFiles.ShowDialog = Windows.Forms.DialogResult.OK Then
            Me.CreateButton(OpenFiles.FileName)
        Else
            Exit Sub
        End If
    End Sub
#End Region
#Region "Загрузка формы"
    Private Sub Send_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        TS = New ToolStrip
        With TS
            .Dock = DockStyle.None
            .Anchor = AnchorStyles.Left Or AnchorStyles.Top
            .Location = New Point(12, 215)
            .AutoSize = True
            .LayoutStyle = ToolStripLayoutStyle.Table
            .GripStyle = ToolStripGripStyle.Hidden
            .ImageScalingSize = New Size(24, 24)
            .RenderMode = ToolStripRenderMode.System
            .BackColor = Color.WhiteSmoke
        End With
        ' и вешаем его на форму
        Me.Controls.Add(TS)
        ' теперь стартовую группу
        Me.CreateStartGroup()
        ' ну тут немного украшательства :)
        Me.AutoSizeMode = Windows.Forms.AutoSizeMode.GrowAndShrink
        Me.AutoSize = True
    End Sub
#End Region
End Class
